Bug 999789 - qemu should give a more friendly prompt when didn't specify read-only for VMDK format disk
qemu should give a more friendly prompt when didn't specify read-only for VMD...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On: 999788
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 02:52 EDT by Sibiao Luo
Modified: 2015-03-05 03:01 EST (History)
16 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-67.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999788
Environment:
Last Closed: 2015-03-05 03:01:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Sibiao Luo 2013-08-22 02:56:03 EDT
host info:
# uname -r && rpm -q qemu-kvm
3.10.0-3.el7.x86_64
qemu-kvm-1.5.2-4.el7.x86_64

e.g:...-drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
qemu-kvm: -drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: 'vmdk' invalid format
/etc/qemu-ifdown: could not launch network script
Comment 2 Miroslav Rezanina 2013-11-06 01:05:30 EST
Part with mentioned error was rewritten, can you please retest the bz and test the error message state?
Comment 3 Sibiao Luo 2013-11-06 02:08:20 EST
(In reply to Miroslav Rezanina from comment #2)
> Part with mentioned error was rewritten, can you please retest the bz and
> test the error message state?
Retried it with the latest qemu-kvm version that it will give a message prompt "vmdk: Operation not supported". But still not as expected, you should refer to bug 999788#c7 that should give message prompt like: vmdk' can be only used as read-only device.

host info:
3.10.0-41.el7.x86_64
qemu-kvm-1.5.3-13.el7.x86_64

e.g:...-drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk -vnc :1 -monitor stdio
qemu-kvm: -drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: could not open disk image /home/vmdk-data-disk.vmdk: Operation not supported

Best Regards,
sluo
Comment 4 Fam Zheng 2014-04-18 02:33:45 EDT
Upstream 2.0 has the following message:

qemu-system-x86_64: -drive file=/stor/image/turnkey-moinmoin-12.0-squeeze-x86.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: could not open disk image /stor/image/turnkey-moinmoin-12.0-squeeze-x86.vmdk: Driver 'vmdk' can only be used for read-only devices

Moving to POST and waiting for rebase.
Comment 7 Jeff Nelson 2014-08-08 12:54:59 EDT
Fix included in qemu-kvm-1.5.3-67.el7
Comment 9 Sibiao Luo 2014-10-31 01:11:00 EDT
Verify this issue on qemu-kvm-rhev-2.1.2-5.el7.x86_64 and qemu-kvm-1.5.3-75.el7.x86_64.

host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-191.el7.x86_64
qemu-kvm-rhev-2.1.2-5.el7.x86_64

e.g:...-drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
qemu-kvm: -drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: could not open disk image /home/vmdk-data-disk.vmdk: Driver 'vmdk' can only be used for read-only devices

###################################################

host info:
# uname -r && rpm -q qemu-kvm
3.10.0-191.el7.x86_64
qemu-kvm-1.5.3-75.el7.x86_64

e.g:...-drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
qemu-kvm: -drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: could not open disk image /home/vmdk-data-disk.vmdk: Driver 'vmdk' can only be used for read-only devices

Best Regards,
sluo
Comment 11 errata-xmlrpc 2015-03-05 03:01:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html

Note You need to log in before you can comment on or make changes to this bug.